# Generated by Django 4.0 on 2021-12-17 03:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Command',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='DataSection',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Import',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='', max_length=128, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='ImportLibPair',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('import_name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='static_behaviours.import')),
            ],
        ),
        migrations.CreateModel(
            name='IoC',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='IoCType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='IoCValue',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.TextField(unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Library',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='', max_length=128, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='StaticFileName',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='StringValue',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.TextField(unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Strings',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text_type', models.CharField(default='ascii', max_length=6)),
                ('section', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='static_behaviours.datasection')),
                ('value', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='static_behaviours.stringvalue')),
            ],
        ),
        migrations.CreateModel(
            name='StaticBehaviour',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('arch', models.CharField(blank=True, default='', max_length=5, null=True)),
                ('bin_type', models.CharField(blank=True, default='', max_length=5, null=True)),
                ('class_type', models.CharField(blank=True, default='', max_length=5, null=True)),
                ('binary_size', models.BigIntegerField(default=0)),
                ('compilation_date', models.DateTimeField(blank=True, null=True)),
                ('operating_system', models.CharField(blank=True, default='', max_length=10, null=True)),
                ('language', models.CharField(blank=True, default='', max_length=10, null=True)),
                ('commands', models.ManyToManyField(blank=True, to='static_behaviours.Command')),
                ('files', models.ManyToManyField(blank=True, to='static_behaviours.StaticFileName')),
                ('import_pairs', models.ManyToManyField(blank=True, to='static_behaviours.ImportLibPair')),
                ('indicators_of_compromise', models.ManyToManyField(blank=True, to='static_behaviours.IoC')),
                ('strings', models.ManyToManyField(blank=True, to='static_behaviours.Strings')),
            ],
        ),
        migrations.AddField(
            model_name='ioc',
            name='ioctype',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='static_behaviours.ioctype'),
        ),
        migrations.AddField(
            model_name='ioc',
            name='iocvalue',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='static_behaviours.iocvalue'),
        ),
        migrations.AddField(
            model_name='importlibpair',
            name='library_name',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='static_behaviours.library'),
        ),
    ]
